/* Global */
:root {
    --main-color: #22183E;
    --main-color-muted: #52486E;
    --secondary-color: #542DBC;
    --contrast-color: #F2F2F2;
    --contrast-color-muted: #E0E0E0;
}

* {
    box-sizing: border-box;
}

html,
body {
    margin: 0;
    padding: 0;
}

html {
    font-family: -apple-system,BlinkMacSystemFont,Segoe UI,Roboto,Oxygen-Sans,Ubuntu,Cantarell,Helvetica Neue,sans-serif;
    font-size: 18px;
    line-height: 26px;
}

body {
    color: var(--main-color);

    background-color: var(--contrast-color);
}

@media(min-width: 800px) {
    html {
        font-size: 20px;
        line-height: 30px;
    }
}

/* Typography */
h1, h2, h3 {
    margin-top: 0;
    margin-bottom: 0.5rem;

    word-wrap: break-word;
}

h1 {
    margin-bottom: 1.75rem;

    text-align: center;
}

h1 { font-size: 2rem; line-height: 2.5rem; }
h2 { font-size: 1.4rem; line-height: 2rem; }
h3 { font-size: 1rem; line-height: 1.5rem; }

* + h1,
* + h2,
* + h3 {
    margin-top: 1.5rem;
}

p {
    margin-top: 0;
    margin-bottom: 1rem;
}
p:last-child {
    margin-bottom: 0;
}

.text-muted {
    color: var(--main-color-muted);
}

.text-center {
    text-align: center;
}

/* Links */
a {
    color: var(--secondary-color);
}

a.add::before {
    margin-right: .25rem;

    content: "+";
}

/* Forms */
form {
    max-width: 500px;
    margin-bottom: 5rem;
}

form .form-row {
    display: flex;
}

form .form-row .form-group {
    flex: 1;
}
form .form-row .form-group + .form-group {
    margin-left: 1rem;
}

form .form-group {
    margin-bottom: 1rem;
}

form .form-group.form-group-actions {
    display: flex;
    margin-bottom: 1rem;

    flex-direction: row-reverse;
    align-items: baseline;
    justify-content: space-between;
}

form label {
    display: block;
    margin-bottom: .25rem;
    padding-left: .5rem;
}
form .form-group.form-group-radios label,
form .form-group.form-group-checkbox label {
    display: inline-block;
    margin-right: 1rem;
    padding-left: 0;
}

form input[type="text"],
form input[type="password"],
form input[type="date"],
form textarea {
    display: block;
    width: 100%;
    height: 2.5rem;
    padding: .5rem;

    color: var(--main-color);
    font-size: 1rem;
    line-height: 1.5rem;
    font-family: inherit;

    background-color: white;
    border: 1px solid var(--main-color);
    border-radius: .25rem;

    transition: box-shadow .2s ease-out;
}
form input[type="text"]:focus,
form input[type="password"]:focus,
form input[type="date"]:focus,
form textarea:focus {
    box-shadow: 0 0 0 2px var(--secondary-color);
}

form textarea {
    min-height: 7rem;
}

/* Buttons */
button {
    vertical-align: middle;

    display: inline-block;
    max-width: 100%;
    margin-right: .25rem;
    padding: .25rem 1.5rem;

    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;

    color: var(--main-color);
    font: inherit;
    line-height: 1.25rem;

    background-color: var(--contrast-color);
    border: 1px solid var(--main-color);
    border-radius: .25rem;

    transition: background-color .2s ease-out;
}

form button[type="submit"] {
    color: var(--contrast-color);
    font-size: 1.1rem;
    line-height: 1.5rem;

    background-color: var(--secondary-color);
    border: 1px solid var(--main-color);
}
form button[type="submit"]:hover,
form button[type="submit"]:focus {
    background-color: var(--main-color);
}

button.button-ghost {
    padding-left: .5rem;
    padding-right: .5rem;

    color: var(--main-color-muted);

    background-color: var(--contrast-color);
}

/* Alerts */
.alert {
    margin-bottom: 1rem;
    padding: 1rem;

    border-radius: .25rem;
}
.alert.alert-error {
    color: var(--contrast-color);

    background-color: var(--secondary-color);
}
.alert.alert-success {
    color: var(--secondary-color);

    border: 2px solid var(--secondary-color);
}

.alert button {
    float: right;

    margin-top: -.13rem;
}

/* Containers */
.container {
    position: relative;

    max-width: 1200px;
    margin-left: auto;
    margin-right: auto;
    padding-left: .5rem;
    padding-right: .5rem;
}
.container.container-small {
    max-width: 500px;
}

.container .container-title {
    margin-bottom: 2rem;

    text-align: center;
}

.container .container-title .container-title-action {
    display: inline-block;
    margin-left: auto;
    margin-right: auto;
    padding: .5rem 1rem;

    color: var(--secondary-color);
    text-decoration: none;

    background-color: var(--contrast-color);
    border: 1px solid var(--secondary-color);
    border-radius: .25rem;

    transition: all .2s ease-out;
}
.container .container-title .container-title-action:hover,
.container .container-title .container-title-action:focus {
    color: var(--contrast-color);

    background-color: var(--secondary-color);
}

@media(min-width: 800px) {
    .container .container-title .container-title-action {
        position: absolute;
        top: 0;
        right: .5rem;
    }
}

/* App header */
.app-header {
    margin-bottom: 1rem;
}

.app-header .app-navigation .container {
    display: flex;
    margin-top: 0;
    margin-bottom: 0;
    padding-left: 0;

    align-items: baseline;
    justify-content: space-between;

    list-style: none;
}

.app-header .app-navigation a {
    display: inline-block;
    padding: 1rem;
}

.app-header .app-navigation .app-navigation-title {
    font-size: 1.1rem;
    font-weight: bold;
}
.app-header .app-navigation .app-navigation-title a {
    color: var(--main-color);
    text-decoration: none;
}

/* App page */
.app-page {
    margin-bottom: 10rem;
}

/* Events structure */
.events-by-year + .events-by-year {
    margin-top: 3rem;
}

.events-by-month {
    margin-bottom: 1.5rem;
    padding-left: 1rem;
}

.events {
    margin-top: 0;
    margin-bottom: 0;
    padding-left: 1rem;

    border-left: .25rem solid var(--secondary-color);

    list-style: none;
}

.events .event {
    position: relative;

    padding-top: .5rem;
    padding-bottom: .5rem;
}

.events .event .event-date {
    display: inline-block;
    min-width: 5rem;
    padding-left: .5rem;
    padding-right: .5rem;

    color: var(--main-color-muted);
    text-align: left;
}

.events .event .event-project {
    display: inline-block;
    margin-left: .5rem;
    padding: 0 .25rem;

    text-decoration: none;

    border: 1px solid var(--secondary-color);
    border-radius: .25rem;
}

.events .event .event-description {
    max-width: 35rem;
    margin-left: 5.25rem;
    padding-top: 1rem;
    padding-bottom: 1rem;
}

.events .event.event-private::before {
    position: absolute;
    left: -1.88rem;

    display: inline-block;
    width: 1.5rem;
    height: 1.5rem;

    text-align: center;
    line-height: 1.25rem;

    background-color: var(--contrast-color);
    box-shadow: 0 0 0 3px var(--secondary-color);
    border-radius: 1rem;

    content: "🔒";
}

.events .event .event-actions {
    position: absolute;
    top: .38rem;
    right: 0;

    opacity: 0;
    visibility: hidden;
    transition: opacity .2s ease-out;
}
.events .event:hover .event-actions {
    opacity: 1;
    visibility: visible;
}
.event .event-actions .event-update {
    vertical-align: middle;

    margin-right: 1rem;
    padding: .25rem .5rem;

    text-decoration: none;

    background-color: var(--contrast-color);
    border: 1px solid var(--secondary-color);
    border-radius: .25rem;
}
.event .event-actions .event-update::before {
    content: "✎";
}
.events .event .event-delete {
    margin-right: 0;
}
.events .event .event-delete::before {
    content: "🗑";
}

.events .events-more {
    padding: 1rem;
}

.events .events-more > .folder-toggle {
    padding-left: .5rem;
    padding-right: .5rem;
}

.events .events-more > .folder-toggle + .folder-container {
    margin-top: 1rem;
    margin-left: 1rem;
}

/* Projects structure */
.project {
    margin-bottom: 3rem;
    padding: 1rem;
}

.project:target {
    box-shadow: 0 0 0 .25rem var(--secondary-color);
    border-radius: .25rem;
}

.project .project-header {
    position: relative;

    display: flex;

    align-items: baseline;
    justify-content: space-between;
}

.project .project-header .project-name {
    margin-bottom: 0;
}

.project.project-private .project-name::before {
    content: "🔒";
}

.project .project-header .project-responsible {
    padding-left: 1rem;
    padding-right: 1rem;

    color: var(--main-color-muted);
}
.project .project-header .project-responsible::before {
    content: "👤";
}

.project .project-actions {
    display: flex;
    margin-top: .5rem;
    padding: .25rem .5rem;

    justify-content: space-between;

    background-color: var(--contrast-color-muted);
    border-radius: .25rem;
}
.project .project-actions .project-update {
    vertical-align: middle;

    margin-right: 1rem;
    padding: .25rem .5rem;

    text-decoration: none;

    background-color: var(--contrast-color);
    border: 1px solid var(--secondary-color);
    border-radius: .25rem;
}
.project .project-actions .project-update::before {
    content: "✎";
}
.project .project-actions .project-delete {
    margin-right: 0;
}
.project .project-actions .project-delete::before {
    content: "🗑";
}

.project .project-description {
    margin-top: 1rem;
}

.project .events {
    margin-top: 1rem;
    margin-left: .5rem;
}

/* Folder system */
.folder.folder-folded .folder-container {
    display: none;
}

.folder .folder-toggle:not(.keep-style) {
    padding: 0;

    color: inherit;
    font: inherit;

    background: none;
    border: none;
}

.folder .folder-toggle::after {
    margin-left: .25rem;

    content: "▿";
}
.folder.folder-folded .folder-toggle::after {
    content: "▹";
}

/* Utilities */
.hidden {
    visibility: hidden;
}
